libQt5Widgets5-5.12.3-1.1.i586.rpm


Advertisement

Description

libQt5Widgets5 - Qt 5 Widgets Library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libQt5Widgets5-5.12.3-1.1.i586.rpm
Package name libQt5Widgets5
Package version 5.12.3
Package release 1.1
Package architecture i586
Package type rpm
Category Development/Libraries/X11
Homepage https://www.qt.io
License LGPL-2.1-with-Qt-Company-Qt-exception-1.1 or LGPL-3.0-only
Maintainer -
Download size 2.47 MB
Installed size 7.46 MB
The Qt Widgets Module provides a set of UI elements to create classic
desktop-style user interfaces.

Alternatives

Package Version Architecture Repository
libQt5Widgets5-5.12.3-1.4.x86_64.rpm 5.12.3 x86_64 KDE 5
libQt5Widgets5-5.12.3-1.4.i586.rpm 5.12.3 i586 KDE 5
libQt5Widgets5-5.12.3-1.1.x86_64.rpm 5.12.3 x86_64 openSUSE Oss
libQt5Widgets5-5.12.3-ku.1.1.x86_64.rpm 5.12.3 x86_64 KDE Unstable
libQt5Widgets5-5.12.3-ku.1.1.i586.rpm 5.12.3 i586 KDE Unstable
libQt5Widgets5 - - -

Requires

Name Value
/sbin/ldconfig -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libQt5Core.so.5(Qt_5.12.3_PRIVATE_API) -
libQt5Gui.so.5 -
libQt5Gui.so.5(Qt_5) -
libQt5Gui.so.5(Qt_5.12.3_PRIVATE_API) -
libQt5Gui5 = 5.12.3
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GLIBC_2.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.29) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -

Provides

Name Value
libQt5Widgets.so.5 -
libQt5Widgets.so.5(Qt_5) -
libQt5Widgets.so.5(Qt_5.0) -
libQt5Widgets.so.5(Qt_5.1) -
libQt5Widgets.so.5(Qt_5.10) -
libQt5Widgets.so.5(Qt_5.11) -
libQt5Widgets.so.5(Qt_5.12) -
libQt5Widgets.so.5(Qt_5.12.3_PRIVATE_API) -
libQt5Widgets.so.5(Qt_5.2) -
libQt5Widgets.so.5(Qt_5.3) -
libQt5Widgets.so.5(Qt_5.4) -
libQt5Widgets.so.5(Qt_5.5) -
libQt5Widgets.so.5(Qt_5.6) -
libQt5Widgets.so.5(Qt_5.7) -
libQt5Widgets.so.5(Qt_5.8) -
libQt5Widgets.so.5(Qt_5.9) -
libQt5Widgets5 = 5.12.3-1.1
libQt5Widgets5(x86-32) = 5.12.3-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libQt5Widgets5-5.12.3-1.1.i586.rpm
Source Package libqt5-qtbase-5.12.3-1.1.src.rpm

Install Howto

Install libQt5Widgets5 rpm package:

# zypper install libQt5Widgets5

Files

Path
/usr/lib/libQt5Widgets.so.5
/usr/lib/libQt5Widgets.so.5.12
/usr/lib/libQt5Widgets.so.5.12.3
/usr/share/doc/packages/libQt5Widgets5/config_help.txt
/usr/share/licenses/libQt5Widgets5/LICENSE.FDL
/usr/share/licenses/libQt5Widgets5/LICENSE.GPL2
/usr/share/licenses/libQt5Widgets5/LICENSE.GPL3
/usr/share/licenses/libQt5Widgets5/LICENSE.GPL3-EXCEPT
/usr/share/licenses/libQt5Widgets5/LICENSE.LGPL3
/usr/share/licenses/libQt5Widgets5/LICENSE.LGPLv3
/usr/share/licenses/libQt5Widgets5/LICENSE.QT-LICENSE-AGREEMENT-4.0

Changelog

2019-04-18 - fabian@ritter-vogt.de
- Update to 5.12.3:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.12.3/?h=v5.12.3
2019-04-13 - Christophe Giboudeaux <christophe@krop.fr>
- Add fix-fixqt4headers.patch to use the include path used by our
Qt5 packages.
2019-03-14 - fabian@ritter-vogt.de
- Update to 5.12.2:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.12.2/?h=5.12.2
- Replace 0001-Revert-White-list-more-recent-Mesa-version-for-multi.patch with
* 0001-Revert-Blacklist-nouveau-and-llvmpipe-for-multithrea.patch
* 0002-Revert-qtlite-Fix-build-libs-with-no-feature-regular.patch
* 0003-Revert-White-list-more-recent-Mesa-version-for-multi.patch
- Remove 0002-Revert-QImage-merge-the-size-calculations-with-prope.patch,
fixed upstream
2019-02-12 - Fabian Vogt <fabian@ritter-vogt.de>
- Clean %install a bit
- Use %license
- Add patch to fix crashes with nouveau (QTBUG-73715):
* 0001-Revert-White-list-more-recent-Mesa-version-for-multi.patch
- Add patch to fix apparent memory leaks (QTBUG-73731):
* 0002-Revert-QImage-merge-the-size-calculations-with-prope.patch
2019-02-04 - wbauer@tmo.at
- Refresh tell-the-truth-about-private-api.patch to apply cleanly
2019-02-01 - fabian@ritter-vogt.de
- Update to 5.12.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtbase.git/plain/dist/changes-5.12.1/?h=v5.12.1
- xkbcommon not bundled anymore, removed now obsolete option
- Refresh patches:
* 0001-Add-remote-print-queue-support.patch
* 0001-Fix-qfloat16-methods-definition-without-declaration-.patch
- Drop patches, now upstream:
* 0001-Fix-compile-issue-with-gcc-9.patch
2019-01-30 - alarrosa@suse.com
- Add 0001-Fix-compile-issue-with-gcc-9.patch to fix building with
the latest libstdc++ (boo#1121561)
2019-01-18 - Fabian Vogt <fabian@ritter-vogt.de>
- Remove workaround patch as fixed in KWin meanwhile:
* 0001-Revert-xcb-Initialize-OpenGL-integration-only-when-r.patch
2019-01-17 - Karl Cheng <qantas94heavy@gmail.com>
- Add 0001-Revert-xcb-Initialize-OpenGL-integration-only-when-r.patch:
* Revert upstream commit 60cecc86f8 to work around display
flickering issues with some display drivers
(https://bugreports.qt.io/browse/QTBUG-73122, boo#1120090)
2019-01-07 - bwiedemann@suse.com
- Add reproducible-qrc-time.patch to use SOURCE_DATE_EPOCH
for qrc embedded timestamps to make bitcoin-qt build reproducible
(https://bugreports.qt.io/browse/QTBUG-62511, boo#1047218)

See Also

Package Description
libQt5X11Extras5-32bit-5.12.3-1.1.x86_64.rpm Qt 5 X11 Extras Addon
libQt5X11Extras5-5.12.3-1.1.i586.rpm Qt 5 X11 Extras Addon
libQt5X11Extras5-5.12.3-1.1.x86_64.rpm Qt 5 X11 Extras Addon
libQt5Xdg3-3.3.1-1.3.i586.rpm Libraries for qtxdg
libQt5Xdg3-3.3.1-1.3.x86_64.rpm Libraries for qtxdg
libQt5XdgIconLoader-devel-3.3.1-1.3.i586.rpm Devel files for libQt5XdgIconLoader
libQt5XdgIconLoader-devel-3.3.1-1.3.x86_64.rpm Devel files for libQt5XdgIconLoader
libQt5XdgIconLoader3-3.3.1-1.3.i586.rpm IconLoader library for QtXDG
libQt5XdgIconLoader3-3.3.1-1.3.x86_64.rpm IconLoader library for QtXDG
libQt5Xml-devel-32bit-5.12.3-1.1.x86_64.rpm Development files for the Qt5 XML library
libQt5Xml-devel-5.12.3-1.1.i586.rpm Development files for the Qt5 XML library
libQt5Xml-devel-5.12.3-1.1.x86_64.rpm Development files for the Qt5 XML library
libQt5Xml5-32bit-5.12.3-1.1.x86_64.rpm Qt 5 Xml Library
libQt5Xml5-5.12.3-1.1.i586.rpm Qt 5 Xml Library
libQt5Xml5-5.12.3-1.1.x86_64.rpm Qt 5 Xml Library
Advertisement
Advertisement